Jump to content

Compilation de qtVlm


Recommended Posts

il me semble avoir compris que vlm (et qtvlm) fonctionnent dans le continium: entre une position et un leger décallage dans l'espace ou dans le temps, la norme et l'angle du vent changent grâce à l'interpopol;

je cherche à qu'ils soient fixes dans un certain échantillon d'espace et de temps (1° / 12 heures par exemple...) d'où mon expression "discret", je sais pas si c'est plus clair ?

Je parcours le sujet et je me pose éxactement la meme question ! Y-a-t-il un moyen de fixer les vents entre les échéances ET les points de grille du modèle météo ?

Edited by poupou
Link to comment

Non, on ne peut pas faire ca. Cette chose est souvent demandee a cause de cette etrange facon de faire de Virtual-Regatta...

Pour l'install de qt5.2.x (la derniere est 5.2.1) je ne sais pas trop, a mon avis il faut tout installer. Je laisse Oxygen de repondre plus precisement...

Link to comment

C'est bien dommage de ne pas pouvoir "bloquer" la grille des vents comme on le souhaiterait... Parce que franchement qtvlm est de loin le meilleur routeur qui existe, multiplateforme en plus !

Pour qt5.2.x, je recherche juste le/les paquest à installer. J'ai émis l'hypothèse d'un lib64qt5gui-devel mais je ne suis pas sur de moi...

Edited by poupou
Link to comment

je confirme que qtvlm n'est pas compatible avec Qt 4.8, je viens de compiler sur fedora 20 avec Qt 5.2.

Je ne connais pas la distrib Rosa, pendant un temps j'utilisais la PLD (Polonaise) mais là une distrib russe, je sais pas.

Les modules de dev Qt que j'ai du installer pour que la compile fonctionne (sur Fedora) sont :

qt5-qtbase-devel

qt5-qttools-devel,

qt5-qtxmlpatterns-devel,

qt5-qtdeclarative-devel,

qt5-qtmultimedia-devel,

Mais bon, c'est bien le genre de truc que chaque distribution customise à sa sauce...

Link to comment

je confirme que qtvlm n'est pas compatible avec Qt 4.8, je viens de compiler sur fedora 20 avec Qt 5.2.

Je ne connais pas la distrib Rosa, pendant un temps j'utilisais la PLD (Polonaise) mais là une distrib russe, je sais pas.

Les modules de dev Qt que j'ai du installer pour que la compile fonctionne (sur Fedora) sont :

qt5-qtbase-devel

qt5-qttools-devel,

qt5-qtxmlpatterns-devel,

qt5-qtdeclarative-devel,

qt5-qtmultimedia-devel,

Mais bon, c'est bien le genre de truc que chaque distribution customise à sa sauce...

J'ai tout ça, j'ai vérifié.

Mais il me manque l'objet "Qscroller" et là je suis bloqué...

J'ai pourtant bien les paquets lib64qt5widgets et lib64qt4widgets-devel qui sont installés...

Edited by poupou
Link to comment

Apres debat interne, nous avons decide de restaurer la compatibilite avec qt4.8.5, mais c'est probablement la derniere fois. A noter donc que le trunk a ete mis a jour en consequence (rev #2247).

A noter egalement que en compilant en 4.8.5 vous perdez quelques fonctionnalites mineures, il est donc recommande de compiler en 5.2.1 si vous pouvez.

Link to comment

Super, ça marche désormais, c'est donc bien un problème de QT5.2.1

Ce qui est bizarre puisque je l'ai sur ma machine (en 64 bits)...

Existe-t-il un tuto ou un wiki à jour pour la compilation de Qtvlm ? Le wiki sur lequel je m'appuie fait encore référence à Qt4.8.5 ...

Edited by poupou
Link to comment

Super, ça marche désormais, c'est donc bien un problème de QT5.2.1

Ce qui est bizarre puisque je l'ai sur ma machine (en 64 bits)...

Existe-t-il un tuto ou un wiki à jour pour la compilation de Qtvlm ? Le wiki sur lequel je m'appuie fait encore référence à Qt4.8.5 ...

salut poupou

Oui en effet j'ai lu en diagonal le fil, donc aux dernières nouvelles c'est Qt 5.2 le minimum et la compatibilité 4.8.5 va être restaurer.

Link to comment

QJson n'est plus utilise en librairie externe a partir de qt5, on utilise le module QJson interne de qt (qui n'existait pas en qt4). zlib qd a lui compile indifféremment en qt4 ou qt5.

Pour moi ton pb est un pb d'installation. Sur ta machine tu as a la fois qt4 et qt5, donc enleve qt4 et ca compilera en qt5 ;)

Link to comment

OK, j'ai viré Qt4, mais la compilation plante encore plus vite !

$ make
rm -f qtVlm
#cd src/libs/bzip2 ; qmake CONFIG+="release" ; make
#cd src/libs/zlib-1.2.7 ; qmake CONFIG+="release" ; make
cd src/libs/qextserialport12 ; qmake CONFIG+="release" ; make
/bin/sh: qmake : commande introuvable
make[1] : on entre dans le répertoire « /home/oeil2cyclone/qtvlm-code/src/libs/qextserialport12 »
make[1]: *** Aucune règle pour fabriquer la cible « /usr/lib/qt4/mkspecs/linux-g++/qmake.conf », nécessaire pour « Makefile ». Arrêt.
make[1] : on quitte le répertoire « /home/oeil2cyclone/qtvlm-code/src/libs/qextserialport12 »
make: *** [libs] Erreur 2

Edited by poupou
Link to comment

pourtant qmake 5.2.1 est bien installé !

hello, qt est installé ds quel repertoire

quel est le resultat de : echo $PATH ds une console ?

enfin le meilleur test est de faire: qmake -v mais je pense que tu vas avoir un "commande introuvable"

Edited by oxygen77
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.